using MWS.Model;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MWS.Data.InterFace
{
    public interface IDevice : IDapperHelper
    {
        Task<List<Device>> GetModels(string keyword, string sortingProperty = "Id", bool ascending = false);
        List<Device> GetPagingModels(string keyword, out int totalCount, int pageIndex = 1, int pageSize = 20, string sortingProperty = "Id", bool ascending = false);

        List<Device> GetAll();

        int Delete(int Id);

        int Update(Device t_Device);

    }
}
